{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCEC_ADMISSION_DESC; 
            externalType = NUMBER; 
            name = mcecAdmissionDesc; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCEC_AIDES_ETUD; 
            externalType = NUMBER; 
            name = mcecAidesEtud; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCEC_BESOINS_PARTICULIERS; 
            externalType = NUMBER; 
            name = mcecBesoinsParticuliers; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_BIBLIOGRAPHIE; 
            externalType = NUMBER; 
            name = mcecBibliographie; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_CONTENU; 
            externalType = NUMBER; 
            name = mcecContenu; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_EVALUATION; 
            externalType = NUMBER; 
            name = mcecEvaluation; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_OBJECTIFS; 
            externalType = NUMBER; 
            name = mcecObjectifs; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_ORGANISATION; 
            externalType = NUMBER; 
            name = mcecOrganisation; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_PREREQUIS; 
            externalType = NUMBER; 
            name = mcecPrerequis; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = MCEC_PUBLIC_CIBLE; 
            externalType = NUMBER; 
            name = mcecPublicCible; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MCEC_RECOMMANDATIONS; 
            externalType = NUMBER; 
            name = mcecRecommandations; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MEC_KEY; 
            externalType = NUMBER; 
            name = mecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (mecKey, fannKey); 
    className = EOGenericRecord; 
    classProperties = (
        mecKey, 
        mcecObjectifs, 
        mcecContenu, 
        mcecRecommandations, 
        mcecPrerequis, 
        mcecOrganisation, 
        mcecEvaluation, 
        mcecBibliographie, 
        fannKey, 
        toScolFormationAnnee, 
        toScolMaquetteEc, 
        mcecAdmissionDesc, 
        mcecAidesEtud, 
        mcecBesoinsParticuliers, 
        mcecPublicCible
    ); 
    externalName = SCOL_MAQUETTE_COMPLEMENT_EC; 
    fetchSpecificationDictionary = {}; 
    name = ScolMaquetteComplementEc; 
    primaryKeyAttributes = (mecKey, fannKey); 
    relationships = (
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }, 
        {
            destination = ScolMaquetteEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = toScolMaquetteEc; 
        }
    ); 
}
